commit 572ff2bae7db9b213531132870a68f449d4154d8
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Sat Sep 27 02:25:33 2025

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 3ead3801e26..1c982401bc5 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,13 @@
+2025-09-26  Lulu Cheng  <chenglulu@loongson.cn>
+
+	Backported from master:
+	2025-09-26  Lulu Cheng  <chenglulu@loongson.cn>
+
+	PR target/121875
+	* config/loongarch/loongarch.cc
+	(loongarch_can_inline_p): New function.
+	(TARGET_CAN_INLINE_P): Define.
+
 2025-09-25  Alex Coplan  <alex.coplan@arm.com>
 
 	Backported from master:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 021949afc4f..edfad19f91e 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20250926
+20250927
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 01c55d43d55..6c194b4bb7f 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,17 @@
+2025-09-26  Lulu Cheng  <chenglulu@loongson.cn>
+
+	Backported from master:
+	2025-09-26  Lulu Cheng  <chenglulu@loongson.cn>
+
+	PR target/121875
+	* gcc.target/loongarch/can_inline_1.c: New test.
+	* gcc.target/loongarch/can_inline_2.c: New test.
+	* gcc.target/loongarch/can_inline_3.c: New test.
+	* gcc.target/loongarch/can_inline_4.c: New test.
+	* gcc.target/loongarch/can_inline_5.c: New test.
+	* gcc.target/loongarch/can_inline_6.c: New test.
+	* gcc.target/loongarch/pr121875.c: New test.
+
 2025-09-25  Alex Coplan  <alex.coplan@arm.com>
 
 	Backported from master:

